﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace EntityDocumentation.Overview
{
    /// <summary>
    /// Interaction logic for ActionProvider.xaml
    /// </summary>
    public partial class ActionProvider : Window
    {
        public ActionProvider()
        {
            InitializeComponent();
            grid.ItemsSource = Helper.Header.ActionProvider;
        }

        private void ClickOpenActionProvider(object sender, RoutedEventArgs e)
        {
            if (grid.ItemsSource == null) return;
            Data.ActionProvider data = (Data.ActionProvider)grid.SelectedValue;
            Screen.EntityProvider f = new Screen.EntityProvider(data);
            f.ShowDialog();
        }
    }
}
