﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace EntityDocumentation.Overview
{
    /// <summary>
    /// Interaction logic for EntityProvider.xaml
    /// </summary>
    public partial class EntityProvider : Window
    {
        public EntityProvider()
        {
            InitializeComponent();
            grid.ItemsSource = Helper.Header.EntityProvider;
        }

        private void ClickOpenEntityProvider(object sender, RoutedEventArgs e)
        {
            if (grid.ItemsSource == null) return;
            Data.EntityProvider data = (Data.EntityProvider)grid.SelectedValue;
            Screen.EntityProvider f = new Screen.EntityProvider(data);
            f.ShowDialog();
        }
    }
}
