﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace EntityDocumentation.Overview
{
    /// <summary>
    /// Interaction logic for Property.xaml
    /// </summary>
    public partial class Property : Window
    {
        public Property(Data.PropertyList propertyList)
        {
            InitializeComponent();
            grid.ItemsSource = propertyList;
        }

        private void ClickOpenProperty(object sender, RoutedEventArgs e)
        {
            if (grid.ItemsSource == null) return;
            Data.Property data = (Data.Property)grid.SelectedValue;
            Screen.Property f = new Screen.Property(data);
            f.ShowDialog();
        }
    }
}
