﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace EntityDocumentation.Overview
{
    /// <summary>
    /// Interaction logic for EntitiesProvider.xaml
    /// </summary>
    public partial class EntitiesProvider : Window
    {
        public EntitiesProvider()
        {
            InitializeComponent();
            grid.ItemsSource = Helper.Header.EntitiesProvider;
        }

        private void ClickOpenEntitiesProvider(object sender, RoutedEventArgs e)
        {
            if (grid.ItemsSource == null) return;
            Data.EntitiesProvider data = (Data.EntitiesProvider)grid.SelectedValue;
            Screen.EntitiesProvider f = new Screen.EntitiesProvider(data);
            f.ShowDialog();
        }
    }
}
